[LEDE-DEV,4/4] scripts/getver.sh: only consider version override file when no argument is given

Submitted by Matthias Schiffer on July 10, 2017, 12:19 a.m.

Details

Message ID 10b597800d72ea2198428a6675e84ef752705c6f.1499645991.git.mschiffer@universe-factory.net
State New
Delegated to: Matthias Schiffer
Headers show

Commit Message

Matthias Schiffer July 10, 2017, 12:19 a.m.
Signed-off-by: Matthias Schiffer <mschiffer@universe-factory.net>
---
 scripts/getver.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Patch hide | download patch | download mbox

diff --git a/scripts/getver.sh b/scripts/getver.sh
index f6d18bb3a3..30cf32ed14 100755
--- a/scripts/getver.sh
+++ b/scripts/getver.sh
@@ -10,7 +10,7 @@  get_branch() {
 }
 
 try_version() {
-	[ -f version ] || return 1
+	[ -z "$GET_REV" -a -f version ] || return 1
 	REV="$(cat version)"
 	[ -n "$REV" ]
 }